# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.saml.impl.SubjectResolver

Packages that use SubjectResolver
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl
Plug-in component interface implementations used when querying a SAML attribute authority.

## Uses of SubjectResolver in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as SubjectResolver
Modifier and Type
Field
Description
`private SubjectResolver`
ExecutableQueryBuilder.`subjectStrategy`
Strategy for resolving the authority entityID.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return SubjectResolver
Modifier and Type
Method
Description
`SubjectResolver`
ExecutableQueryBuilder.`getSubjectStrategy()`
Get the Subject resolution strategy.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type SubjectResolver
Modifier and Type
Method
Description
`void`
ExecutableQueryBuilder.`setSubjectStrategy(SubjectResolver strategy)`
Set the Subject resolution strategy.

## Uses of SubjectResolver in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl that implement SubjectResolver
Modifier and Type
Class
Description
`class`
`ChainingSubjectResolver`
An implementation of `SubjectResolver` which implements a chain-of-responsibility pattern using a list of configured resolvers.
`class`
`DependencyAttributeSubjectResolver`
An implementation of `SubjectResolver` which returns a `Subject` using a `NameID` built using the value from one of an ordered list of dependency attributes.
Fields in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with type parameters of type SubjectResolver
Modifier and Type
Field
Description
`private List<SubjectResolver>`
ChainingSubjectResolver.`resolvers`
List of chain members.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl that return types with arguments of type SubjectResolver
Modifier and Type
Method
Description
`List<SubjectResolver>`
ChainingSubjectResolver.`getResolvers()`
Get the list of chain members.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with type arguments of type SubjectResolver
Modifier and Type
Method
Description
`void`
ChainingSubjectResolver.`setResolvers(List<SubjectResolver> chain)`
Set the list of chain members.